/*;  error.h {\documentstyle{jsrc2latex}\font\tenrm=cmtt10} */

/*;  $$Revision: 1.2 $$ {\rhead{\sl error.h\quad\thepage}} */
/*;  $$Date: 1996/11/24 10:39:47 $$  */
/*;  $$Source: /home/shiiba/96prog/etc/error/error.h,v $$  */

#ifndef error_h
#define error_h

#include <stdio.h>
#include <stdlib.h>

#define error() fprintf(stderr, \
   "Error occured in file: %s, at line: %d\n", \
   __FILE__, __LINE__)

#define warning() fprintf(stderr, \
   "Warning was issued in file: %s, line: %d\n", \
   __FILE__, __LINE__)

#endif

/*; end of file */
